Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev3
Class propertyDialog2

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--uk.co.westhawk.examplev3.propertyDialog2

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.event.ItemListener, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

public class propertyDialog2
extends javax.swing.JDialog
implements java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.event.WindowListener

The class propertyDialog is used to set the SNMPv3 properties. A user can add an actionListener to be notified when the "Apply" or "OK" button is pressed.

The user can configure

- the host name
- the port number
- the socket type
- the user name
- whether to use authentication or not
- the user authentication password
- the authentication protocol
- whether to use privacy or not
- the user privacy password
- the context engine id
- the context name

Version:
  $Revision: 1.1 $ $Date: 2002/10/22 10:49:42 $
Author:
  Birgit Arkesteijn
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.util.Vector` | `actionPerformedListener`
`protected byte[]` | `contextEngineId`
`protected java.lang.String` | `contextName`
`protected boolean` | `doAuthentication`
`protected boolean` | `doPrivacy`
`protected javax.swing.JFileChooser` | `fileChooser`
`protected java.lang.String` | `host`
`protected java.lang.String` | `port`
`protected int` | `protocol`
`protected java.lang.String` | `socketType`
`protected java.lang.String` | `userAuthPassw`
`protected java.lang.String` | `userName`
`protected java.lang.String` | `userPrivPassw`
`protected Util` | `util`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`propertyDialog2()`
`propertyDialog2(javax.swing.JFrame frame)`
`propertyDialog2(javax.swing.JFrame frame, Util u)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds an action listener to be notified when the "Apply" or "OK" button is pressed.
`void` | `fillinFromUtil(Util u)`
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent evt)` Fires a action event when the "Apply" or "OK" button is pressed.
`byte[]` | `getContextEngineId()`
`java.lang.String` | `getContextName()`
`static java.awt.GridBagConstraints` | `getGridBagConstraints2(int x, int y, int w, int h, double wx, double wy, int anchor, int fill, java.awt.Insets ins, int ix, int iy)`
`java.lang.String` | `getHost()` Returns the host string
`java.lang.String` | `getPort()` Returns the port string
`int` | `getProtocol()`
`java.lang.String` | `getSocketType()`
`java.lang.String` | `getUserAuthPassw()`
`java.lang.String` | `getUserName()`
`java.lang.String` | `getUserPrivPassw()`
`boolean` | `isAuthentication()`
`boolean` | `isPrivacy()`
`void` | `itemStateChanged(java.awt.event.ItemEvent evt)`
`void` | `removeActionListener(java.awt.event.ActionListener l)` Removes an action listener.
`void` | `setAuthentication(boolean newVar)`
`void` | `setContextEngineId(byte[] newVar)`
`void` | `setContextName(java.lang.String newVar)`
`void` | `setHost(java.lang.String newVar)` Sets the host string.
`void` | `setPort(java.lang.String newVar)` Sets the port string.
`void` | `setPrivacy(boolean newVar)`
`void` | `setProtocol(int newVar)`
`void` | `setSocketType(java.lang.String newVar)`
`void` | `setUserAuthPassw(java.lang.String newVar)`
`void` | `setUserName(java.lang.String newVar)`
`void` | `setUserPrivPassw(java.lang.String newVar)`
`void` | `windowActivated(java.awt.event.WindowEvent evt)`
`void` | `windowClosed(java.awt.event.WindowEvent evt)`
`void` | `windowClosing(java.awt.event.WindowEvent evt)`
`void` | `windowDeactivated(java.awt.event.WindowEvent evt)`
`void` | `windowDeiconified(java.awt.event.WindowEvent evt)`
`void` | `windowIconified(java.awt.event.WindowEvent evt)`
`void` | `windowOpened(java.awt.event.WindowEvent evt)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actionPerformedListener

    protected java.util.Vector actionPerformedListener

### host

    protected java.lang.String host

### port

    protected java.lang.String port

### contextEngineId

    protected byte[] contextEngineId

### contextName

    protected java.lang.String contextName

### userName

    protected java.lang.String userName

### doAuthentication

    protected boolean doAuthentication

### doPrivacy

    protected boolean doPrivacy

### userAuthPassw

    protected java.lang.String userAuthPassw

### userPrivPassw

    protected java.lang.String userPrivPassw

### socketType

    protected java.lang.String socketType

### protocol

    protected int protocol

### fileChooser

    protected javax.swing.JFileChooser fileChooser

### util

    protected Util util

Constructor Detail

### propertyDialog2

    public propertyDialog2()

### propertyDialog2

    public propertyDialog2(javax.swing.JFrame frame)

### propertyDialog2

    public propertyDialog2(javax.swing.JFrame frame,
                           Util u)

Method Detail

### getHost

    public java.lang.String getHost()

  Returns the host string
  Returns:
    the string

### getPort

    public java.lang.String getPort()

  Returns the port string
  Returns:
    the string

### getContextEngineId

    public byte[] getContextEngineId()

### getContextName

    public java.lang.String getContextName()

### getUserName

    public java.lang.String getUserName()

### getUserAuthPassw

    public java.lang.String getUserAuthPassw()

### getSocketType

    public java.lang.String getSocketType()

### isAuthentication

    public boolean isAuthentication()

### getProtocol

    public int getProtocol()

### isPrivacy

    public boolean isPrivacy()

### getUserPrivPassw

    public java.lang.String getUserPrivPassw()

### setHost

    public void setHost(java.lang.String newVar)

  Sets the host string.
  Parameters:
    `newVar` - the string

### setPort

    public void setPort(java.lang.String newVar)

  Sets the port string.
  Parameters:
    `newVar` - the string

### setSocketType

    public void setSocketType(java.lang.String newVar)

### setContextEngineId

    public void setContextEngineId(byte[] newVar)

### setContextName

    public void setContextName(java.lang.String newVar)

### setUserName

    public void setUserName(java.lang.String newVar)

### setAuthentication

    public void setAuthentication(boolean newVar)

### setUserAuthPassw

    public void setUserAuthPassw(java.lang.String newVar)

### setProtocol

    public void setProtocol(int newVar)

### setPrivacy

    public void setPrivacy(boolean newVar)

### setUserPrivPassw

    public void setUserPrivPassw(java.lang.String newVar)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent evt)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

### fillinFromUtil

    public void fillinFromUtil(Util u)

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds an action listener to be notified when the "Apply" or "OK" button is pressed.
  See Also:
    `removeActionListener(java.awt.event.ActionListener)`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Removes an action listener.
  See Also:
    `addActionListener(java.awt.event.ActionListener)`

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent evt)

  Fires a action event when the "Apply" or "OK" button is pressed.
  See Also:
    `removeActionListener(java.awt.event.ActionListener)`, `addActionListener(java.awt.event.ActionListener)`, `ActionEvent`, `ActionListener`

### getGridBagConstraints2

    public static java.awt.GridBagConstraints getGridBagConstraints2(int x,
                                                                     int y,
                                                                     int w,
                                                                     int h,
                                                                     double wx,
                                                                     double wy,
                                                                     int anchor,
                                                                     int fill,
                                                                     java.awt.Insets ins,
                                                                     int ix,
                                                                     int iy)

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD